Skip to main content
GET
/
tasks
/
{taskIdOrSlug}
/
jobs
List task jobs
curl --request GET \
  --url https://twill.ai/api/v1/tasks/{taskIdOrSlug}/jobs \
  --header 'Authorization: Bearer <token>'
{
  "jobs": [
    {
      "id": "<string>",
      "status": "PENDING",
      "type": "<string>",
      "agentProvider": "<string>",
      "input": "<string>",
      "finalAnswer": "<string>",
      "plan": "<string>",
      "planOutcome": "<string>",
      "error": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "completedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>"
}
Use this endpoint to load task history incrementally. It returns jobs in chronological order and includes nextCursor when older entries are available.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

taskIdOrSlug
string
required

Task id (UUID) or task slug.

Query Parameters

limit
integer
default:30

Number of jobs to return (max: 100).

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor returned by a previous call.

Response

Task jobs list

jobs
object[]
required
nextCursor
string | null
required

Opaque cursor to request the next page of older jobs.